Cambrionix connect
Developers
Cloud API reference · v1.0

Authentication API

The Authentication API handles all authentication related tasks for Cambrionix Connect, including but not limited to: user registration, user login, user settings, user roles, organization management, organization roles, organization users, organization services, organization computers, organization licenses, organization invitations, organization authorization, organization oauth2, organization well-known openid-configuration, organization oauth2 keys, organization oauth2 authorize, organization oauth2 token, license management, built-in roles, permissions, permission groups.

Base URL

https://connect.cambrionix.com/api/v1

Token audience

b65fa8fc-f2e3-4340-aa20-f12c66d2c980

OpenAPI document

https://connect.cambrionix.com/api/v1/openapi.json

Get an access token

Request a token for this API's audience with your service account's client credentials, then send it as Authorization: Bearer <token>.

curl -X POST "https://connect.cambrionix.com/api/v1/organizations/$CONNECT_ORGANIZATION_ID/oauth2/token" \
  -H "Content-Type: application/json" \
  -d '{"grant_type": "client_credentials", "client_id": "'"$CONNECT_CLIENT_ID"'", "client_secret": "'"$CONNECT_CLIENT_SECRET"'", "audience": "b65fa8fc-f2e3-4340-aa20-f12c66d2c980", "scope": "*"}'

Endpoints

User

View and modify user settings, roles and organizations.

GET

Get Current User

GET

Get User Detail

PATCH

Update User Detail

GET

Get User Invitations

GET

Get MFA Status

POST

Create MFA Enrollment Ticket

DELETE

Delete MFA Enrollment

GET

Get User Organizations

GET

Get Global User Permissions

GET

Get Session Activity

GET

Get User Settings

PUT

Update User Settings

PATCH

Patch User Settings